#### Previous topic

scipy.stats.ttest_ind

#### Next topic

scipy.stats.ttest_rel

# scipy.stats.ttest_ind_from_stats

`scipy.stats.``ttest_ind_from_stats`(mean1, std1, nobs1, mean2, std2, nobs2, equal_var=True)

  T-test for means of two independent samples from descriptive statistics.

  This is a two-sided test for the null hypothesis that 2 independent samples have identical average (expected) values.

  Parameters:

  mean1 : array_like

  > The mean(s) of sample 1.

  std1 : array_like

  > The standard deviation(s) of sample 1.

  nobs1 : array_like

  > The number(s) of observations of sample 1.

  mean2 : array_like

  > The mean(s) of sample 2

  std2 : array_like

  > The standard deviations(s) of sample 2.

  nobs2 : array_like

  > The number(s) of observations of sample 2.

  equal_var : bool, optional

  > If True (default), perform a standard independent 2 sample test that assumes equal population variances [R448]. If False, perform Welch’s t-test, which does not assume equal population variance [R449].

  Returns:

  statistic : float or array

  > The calculated t-statistics

  pvalue : float or array

  > The two-tailed p-value.

  See also

  `scipy.stats.ttest_ind`

  Notes

  New in version 0.16.0.

  References

  [R448] | (1, 2) http://en.wikipedia.org/wiki/T-test#Independent_two-sample_t-test

  [R449] | (1, 2) http://en.wikipedia.org/wiki/Welch%27s_t_test